Subject: [Sip] Re: draft-audet-sip-sips-guidelines-00.txt: use of transport=tls

From: Cullen Jennings <[email-masked]>
Date: Tue, 9 May 2006 13:26:48 -0700

On Apr 17, 2006, at 2:33 PM, Francois Audet wrote:

>
>>> You would send the REGISTER using TLS in this case, but you
>> would be
>>> prepared to receive incoming requests on this connection
>> using either
>>> TLS or TCP.
>>
>> So when using sip, the messages over the connection would not be
>> encrypted, but when using sips they would?
>>
>> Can you do that with TLS? I'm no expert, but I thought once you
>> establish a connection, it starts out TCP but if you do the TLS
>> handshake then it is all TLS from then on.
>
> I'm not sure either. Cullen?

Yes - correct - however, you could still open new TCP or TLS  
connections on the same port.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 09 May 2006 17:09:48 -0400

Cullen,

I have lost the context for this discussion. But I find it difficult to 
see how opening another connection would help. At least in the case of 
-outbound-, the new connection would have to be in the direction from 
the UA inward. And then before it could be used there would have to be a 
REGISTER over it. I don't know what the reg-id would have to be in that 
case for it to be useful.

	Paul

Cullen Jennings wrote:
> Yes - correct - however, you could still open new TCP or TLS connections 
> on the same port.
>